org.keycloak.admin.client.resource

## Interface AuthenticationManagementResource

-     public interface AuthenticationManagementResource

  Author:
    Marko Strukelj

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `addExecution(AuthenticationExecutionRepresentation model)`
    `void` | `addExecution(String flowAlias, Map<String,String> data)`
    `void` | `addExecutionFlow(String flowAlias, Map<String,String> data)`
    `javax.ws.rs.core.Response` | `copy(String flowAlias, Map<String,String> data)`
    `javax.ws.rs.core.Response` | `createFlow(AuthenticationFlowRepresentation model)`
    `void` | `deleteFlow(String id)`
    `AuthenticatorConfigRepresentation` | `getAuthenticatorConfig(String id)`
    `AuthenticatorConfigInfoRepresentation` | `getAuthenticatorConfigDescription(String providerId)`
    `List<Map<String,Object>>` | `getAuthenticatorProviders()`
    `List<Map<String,Object>>` | `getClientAuthenticatorProviders()`
    `AuthenticationExecutionRepresentation` | `getExecution(String executionId)`
    `List<AuthenticationExecutionInfoRepresentation>` | `getExecutions(String flowAlias)`
    `AuthenticationFlowRepresentation` | `getFlow(String id)`
    `List<AuthenticationFlowRepresentation>` | `getFlows()`
    `List<Map<String,Object>>` | `getFormActionProviders()`
    `List<Map<String,Object>>` | `getFormProviders()`
    `Map<String,List<ConfigPropertyRepresentation>>` | `getPerClientConfigDescription()`
    `RequiredActionProviderRepresentation` | `getRequiredAction(String alias)`
    `List<RequiredActionProviderRepresentation>` | `getRequiredActions()`
    `List<RequiredActionProviderSimpleRepresentation>` | `getUnregisteredRequiredActions()`
    `void` | `lowerPriority(String execution)`
    `void` | `lowerRequiredActionPriority(String alias)`
    `javax.ws.rs.core.Response` | `newExecutionConfig(String executionId, AuthenticatorConfigRepresentation config)`
    `void` | `raisePriority(String execution)`
    `void` | `raiseRequiredActionPriority(String alias)`
    `void` | `registerRequiredAction(RequiredActionProviderSimpleRepresentation action)`
    `void` | `removeAuthenticatorConfig(String id)`
    `void` | `removeExecution(String execution)`
    `void` | `removeRequiredAction(String alias)`
    `void` | `updateAuthenticatorConfig(String id, AuthenticatorConfigRepresentation config)`
    `void` | `updateExecutions(String flowAlias, AuthenticationExecutionInfoRepresentation rep)`
    `void` | `updateFlow(String id, AuthenticationFlowRepresentation flow)`
    `void` | `updateRequiredAction(String alias, RequiredActionProviderRepresentation rep)`

- - ### Method Detail

    - #### getFormProviders

          @GET
           @Path(value="/form-providers")
           @Produces(value="application/json")
          List<Map<String,Object>> getFormProviders()

    - #### getAuthenticatorProviders

          @Path(value="/authenticator-providers")
           @GET
           @Produces(value="application/json")
          List<Map<String,Object>> getAuthenticatorProviders()

    - #### getClientAuthenticatorProviders

          @Path(value="/client-authenticator-providers")
           @GET
           @Produces(value="application/json")
          List<Map<String,Object>> getClientAuthenticatorProviders()

    - #### getFormActionProviders

          @Path(value="/form-action-providers")
           @GET
           @Produces(value="application/json")
          List<Map<String,Object>> getFormActionProviders()

    - #### getFlows

          @Path(value="/flows")
           @GET
           @Produces(value="application/json")
          List<AuthenticationFlowRepresentation> getFlows()

    - #### createFlow

          @Path(value="/flows")
           @POST
           @Consumes(value="application/json")
          javax.ws.rs.core.Response createFlow(AuthenticationFlowRepresentation model)

    - #### getFlow

          @Path(value="/flows/{id}")
           @GET
           @Produces(value="application/json")
          AuthenticationFlowRepresentation getFlow(@PathParam(value="id")
                                                                                                                         String id)

    - #### deleteFlow

          @Path(value="/flows/{id}")
           @DELETE
          void deleteFlow(@PathParam(value="id")
                                                              String id)

    - #### copy

          @Path(value="/flows/{flowAlias}/copy")
           @POST
           @Consumes(value="application/json")
          javax.ws.rs.core.Response copy(@PathParam(value="flowAlias")
                                                                                                                            String flowAlias,
                                                                                                                            Map<String,String> data)

    - #### updateFlow

          @Path(value="/flows/{id}")
           @PUT
           @Consumes(value="application/json")
          void updateFlow(@PathParam(value="id")
                                                                                                String id,
                                                                                                AuthenticationFlowRepresentation flow)

    - #### addExecutionFlow

          @Path(value="/flows/{flowAlias}/executions/flow")
           @POST
           @Consumes(value="application/json")
          void addExecutionFlow(@PathParam(value="flowAlias")
                                                                                                                              String flowAlias,
                                                                                                                              Map<String,String> data)

    - #### addExecution

          @Path(value="/flows/{flowAlias}/executions/execution")
           @POST
           @Consumes(value="application/json")
          void addExecution(@PathParam(value="flowAlias")
                                                                                                                               String flowAlias,
                                                                                                                               Map<String,String> data)

    - #### getExecutions

          @Path(value="/flows/{flowAlias}/executions")
           @GET
           @Produces(value="application/json")
          List<AuthenticationExecutionInfoRepresentation> getExecutions(@PathParam(value="flowAlias")
                                                                                                                                                                String flowAlias)

    - #### updateExecutions

          @Path(value="/flows/{flowAlias}/executions")
           @PUT
           @Consumes(value="application/json")
          void updateExecutions(@PathParam(value="flowAlias")
                                                                                                                        String flowAlias,
                                                                                                                        AuthenticationExecutionInfoRepresentation rep)

    - #### addExecution

          @Path(value="/executions")
           @POST
           @Consumes(value="application/json")
          javax.ws.rs.core.Response addExecution(AuthenticationExecutionRepresentation model)

    - #### getExecution

          @Path(value="/executions/{executionId}")
           @GET
           @Produces(value="application/json")
          AuthenticationExecutionRepresentation getExecution(@PathParam(value="executionId")
                                                                                                                                                 String executionId)

    - #### raisePriority

          @Path(value="/executions/{executionId}/raise-priority")
           @POST
          void raisePriority(@PathParam(value="executionId")
                                                                                            String execution)

    - #### lowerPriority

          @Path(value="/executions/{executionId}/lower-priority")
           @POST
          void lowerPriority(@PathParam(value="executionId")
                                                                                            String execution)

    - #### removeExecution

          @Path(value="/executions/{executionId}")
           @DELETE
          void removeExecution(@PathParam(value="executionId")
                                                                                 String execution)

    - #### newExecutionConfig

          @Path(value="/executions/{executionId}/config")
           @POST
           @Consumes(value="application/json")
          javax.ws.rs.core.Response newExecutionConfig(@PathParam(value="executionId")
                                                                                                                                                   String executionId,
                                                                                                                                                   AuthenticatorConfigRepresentation config)

    - #### getUnregisteredRequiredActions

          @Path(value="unregistered-required-actions")
           @GET
           @Produces(value="application/json")
          List<RequiredActionProviderSimpleRepresentation> getUnregisteredRequiredActions()

    - #### registerRequiredAction

          @Path(value="register-required-action")
           @POST
           @Consumes(value="application/json")
          void registerRequiredAction(RequiredActionProviderSimpleRepresentation action)

    - #### getRequiredActions

          @Path(value="required-actions")
           @GET
           @Produces(value="application/json")
          List<RequiredActionProviderRepresentation> getRequiredActions()

    - #### getRequiredAction

          @Path(value="required-actions/{alias}")
           @GET
           @Produces(value="application/json")
          RequiredActionProviderRepresentation getRequiredAction(@PathParam(value="alias")
                                                                                                                                                    String alias)

    - #### updateRequiredAction

          @Path(value="required-actions/{alias}")
           @PUT
           @Consumes(value="application/json")
          void updateRequiredAction(@PathParam(value="alias")
                                                                                                                       String alias,
                                                                                                                       RequiredActionProviderRepresentation rep)

    - #### removeRequiredAction

          @Path(value="required-actions/{alias}")
           @DELETE
          void removeRequiredAction(@PathParam(value="alias")
                                                                                     String alias)

    - #### raiseRequiredActionPriority

          @Path(value="required-actions/{alias}/raise-priority")
           @POST
          void raiseRequiredActionPriority(@PathParam(value="alias")
                                                                                                         String alias)

    - #### lowerRequiredActionPriority

          @Path(value="required-actions/{alias}/lower-priority")
           @POST
          void lowerRequiredActionPriority(@PathParam(value="alias")
                                                                                                         String alias)

    - #### getAuthenticatorConfigDescription

          @Path(value="config-description/{providerId}")
           @GET
           @Produces(value="application/json")
          AuthenticatorConfigInfoRepresentation getAuthenticatorConfigDescription(@PathParam(value="providerId")
                                                                                                                                                                            String providerId)

    - #### getPerClientConfigDescription

          @Path(value="per-client-config-description")
           @GET
           @Produces(value="application/json")
          Map<String,List<ConfigPropertyRepresentation>> getPerClientConfigDescription()

    - #### getAuthenticatorConfig

          @Path(value="config/{id}")
           @GET
           @Produces(value="application/json")
          AuthenticatorConfigRepresentation getAuthenticatorConfig(@PathParam(value="id")
                                                                                                                                         String id)

    - #### removeAuthenticatorConfig

          @Path(value="config/{id}")
           @DELETE
          void removeAuthenticatorConfig(@PathParam(value="id")
                                                                             String id)

    - #### updateAuthenticatorConfig

          @Path(value="config/{id}")
           @PUT
           @Consumes(value="application/json")
          void updateAuthenticatorConfig(@PathParam(value="id")
                                                                                                               String id,
                                                                                                               AuthenticatorConfigRepresentation config)

Copyright © 2021 JBoss by Red Hat. All rights reserved.